Package org.apache.solr.client.solrj.request

# Class ConfigSetAdminRequest<Q extends ConfigSetAdminRequest<Q,R>,R extends ConfigSetAdminResponse>

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<R>
org.apache.solr.client.solrj.request.ConfigSetAdminRequest<Q,R>

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConfigSetAdminRequest.ConfigSetSpecificAdminRequest`, `ConfigSetAdminRequest.List`

public abstract class ConfigSetAdminRequest<Q extends ConfigSetAdminRequest<Q,R>,R extends ConfigSetAdminResponse> extends SolrRequest<R>
This class is experimental and subject to change.

Since:
  solr 5.4
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>>`
`static class`
`ConfigSetAdminRequest.Create`
Creates a new config set by cloning an existing "base" configset.
`static class`
`ConfigSetAdminRequest.Delete`
`static class`
`ConfigSetAdminRequest.List`
`static class`
`ConfigSetAdminRequest.Upload`
Uploads files to create a new configset, or modify an existing config set.

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ConfigSetParams.ConfigSetAction`
`action`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`ConfigSetAdminRequest()`
`ConfigSetAdminRequest(String path)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract R`
`createResponse(NamedList<Object> namedList)`
Create a new SolrResponse to hold the response from the server.
`SolrParams`
`getParams()`
The parameters for this request; never null.
`protected abstract Q`
`getThis()`
`protected ConfigSetAdminRequest<Q,R>`
`setAction(ConfigSetParams.ConfigSetAction action)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, requiresCollection, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### action

protected ConfigSetParams.ConfigSetAction action

## Constructor Details

### ConfigSetAdminRequest

public ConfigSetAdminRequest()

### ConfigSetAdminRequest

public ConfigSetAdminRequest(String path)

## Method Details

### setAction

protected ConfigSetAdminRequest<Q,R> setAction(ConfigSetParams.ConfigSetAction action)

### getThis

protected abstract Q getThis()

### getParams

public SolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Specified by:
  `getParams` in class `SolrRequest<R extends ConfigSetAdminResponse>`

### createResponse

protected abstract R createResponse(NamedList<Object> namedList)
Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server. If the response extends `SolrResponse`, then there's no need to use the arguments, as `SolrResponse.setResponse(NamedList)` will be called right after this method.

Specified by:
  `createResponse` in class `SolrRequest<R extends ConfigSetAdminResponse>`
Parameters:
  `namedList` - from `SolrClient.request(SolrRequest, String)`.